diff upreckon/publish.sh @ 146:d5b6708c1955

Distutils support, reorganization and cleaning up * Removed command-line options -t and -u. * Reorganized code: o all modules are now in package upreckon; o TestCaseNotPassed and its descendants now live in a separate module exceptions; o load_problem now lives in module problem. * Commented out mentions of command-line option -c in --help. * Added a distutils-based setup.py.
author Oleg Oshmyan <chortos@inbox.lv>
date Sat, 28 May 2011 14:24:25 +0100
parents publish.sh@25b929aa92a1
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/upreckon/publish.sh	Sat May 28 14:24:25 2011 +0100
@@ -0,0 +1,11 @@
+#! /bin/sh
+
+VERSION=`hg identify | awk '{ print $1 }'`
+if [ -z "$VERSION" ]
+then
+	echo The current Mercurial changeset could not be determined. >&2
+	exit 1
+fi
+
+sed 's/$$REV$\$/hg '"$VERSION/" upreckon-vcs >upreckon
+chmod +x upreckon
\ No newline at end of file